Name:		fcode-utils
Version:	1.0.3
Release:	%mkrel 2
Summary:	Utilities for dealing with FCode
Group:		Development/Other
# The entire source code is GPLv2 except localvalues/ and documentation/ which are CPL-licensed
License:	GPLv2 and CPL
URL:		https://www.openfirmware.info/FCODE_suite
## svn co http://code.coreboot.org/svn/openbios/trunk/fcode-utils-devel@1354 fcode-utils-1.0.2
## tar --exclude-vcs -cvJf fcode-utils-1.0.2.tar.xz fcode-utils-1.0.2/
Source0:	%{name}-%{version}.tar.gz
# Fedora-specific patch
Patch1:		fcode-utils-0001-Allow-overriding-some-more-Makefile-variables.patch
# For tests only
BuildRequires:	tcsh


%description
Utilities for dealing with FCode, a Forth programming language dialect
compliant with ANS Forth.


%prep
%setup -q
%patch -P 1 -p1 -b .more_overrides
install -p -m 0644 detok/README README.detok
install -p -m 0644 toke/README README.toke


%build
export CFLAGS="%{optflags}" STRIP="/bin/true"

%make_build


%install
%make_install DESTDIR="%{buildroot}%{_prefix}"

# Install data-files
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a localvalues %{buildroot}%{_datadir}/%{name}


%check
make tests


%files
%license COPYING
%doc README README.detok README.toke documentation
%{_bindir}/detok
%{_bindir}/romheaders
%{_bindir}/toke
%{_datadir}/%{name}




%changelog
* Sat Dec 21 2024 pterjan <pterjan> 1.0.3-2.mga10
+ Revision: 2127284
- Rebuild for patchN deprecation

* Tue Aug 27 2024 neoclust <neoclust> 1.0.3-1.mga10
+ Revision: 2091664
- New version 1.0.3

* Fri Mar 18 2022 umeabot <umeabot> 1.0.2-5.mga9
+ Revision: 1797697
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.2-4.mga8
+ Revision: 1512214
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-3.mga7
+ Revision: 1297675
- Mageia 7 Mass Rebuild

* Thu May 12 2016 daviddavid <daviddavid> 1.0.2-2.mga6
+ Revision: 1014027
- replace some macros thus fixing empty debugfiles

* Sat Apr 16 2016 tv <tv> 1.0.2-1.mga6
+ Revision: 1002872
- imported package fcode-utils

